Skip to main content
GET
/
networks
/
reporting
/
events
/
{transactionId}
Get Events Per Transaction
curl --request GET \
  --url https://api.eflow.team/v1/networks/reporting/events/{transactionId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "events": [
    {
      "conversion_id": "<string>",
      "conversion_unix_timestamp": 123,
      "click_unix_timestamp": 123,
      "status": "<string>",
      "payout_type": "<string>",
      "revenue_type": "<string>",
      "payout": 123,
      "revenue": 123,
      "sale_amount": 123,
      "sub1": "<string>",
      "sub2": "<string>",
      "sub3": "<string>",
      "sub4": "<string>",
      "sub5": "<string>",
      "source_id": "<string>",
      "adv1": "<string>",
      "adv2": "<string>",
      "adv3": "<string>",
      "adv4": "<string>",
      "adv5": "<string>",
      "session_user_ip": "<string>",
      "conversion_user_ip": "<string>",
      "is_event": true,
      "event": "<string>",
      "notes": "<string>",
      "transaction_id": "<string>",
      "currency_id": "<string>",
      "email": "<string>",
      "is_view_through": true,
      "is_scrub": true,
      "error_code": 123,
      "error_message": "<string>",
      "coupon_code": "<string>",
      "order_id": "<string>",
      "url": "<string>",
      "isp": "<string>",
      "referer": "<string>",
      "app_id": "<string>",
      "idfa": "<string>",
      "idfa_md5": "<string>",
      "idfa_sha1": "<string>",
      "google_ad_id": "<string>",
      "google_ad_id_md5": "<string>",
      "google_ad_id_sha1": "<string>",
      "android_id": "<string>",
      "android_id_md5": "<string>",
      "android_id_sha1": "<string>",
      "country": "<string>",
      "region": "<string>",
      "city": "<string>",
      "dma": 123,
      "carrier": "<string>",
      "platform": "<string>",
      "os_version": "<string>",
      "device_type": "<string>",
      "device_model": "<string>",
      "brand": "<string>",
      "browser": "<string>",
      "language": "<string>",
      "http_user_agent": "<string>",
      "previous_network_offer_id": 123,
      "network_offer_payout_revenue_id": 123,
      "relationship": {
        "offer": {
          "network_offer_id": 123,
          "network_id": 123,
          "name": "<string>",
          "offer_status": "<string>"
        },
        "advertiser": {
          "network_advertiser_id": 123,
          "network_id": 123,
          "name": "<string>",
          "account_status": "<string>"
        },
        "affiliate": {
          "network_affiliate_id": 123,
          "network_id": 123,
          "name": "<string>",
          "account_status": "<string>"
        },
        "account_manager": {
          "network_employee_id": 123,
          "network_id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "full_name": "<string>",
          "account_status": "<string>"
        },
        "affiliate_manager": {
          "network_employee_id": 123,
          "network_id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "full_name": "<string>",
          "account_status": "<string>"
        },
        "offer_group": {
          "network_offer_group_id": 123,
          "network_id": 123,
          "network_advertiser_id": 123,
          "name": "<string>",
          "offer_group_status": "<string>",
          "offer_count": 123
        },
        "attribution_method": "<string>",
        "query_parameters": {},
        "usm_data": {}
      }
    }
  ]
}
Returns all post-conversion events for a specific transaction. Shows event details such as event name, timestamp, revenue, and status.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

transactionId
string
required

The transaction ID to retrieve events for.

Response

200 - application/json

OK

events
object[]

Post-conversion events for the transaction. Empty if there are no events.